CREATE TABLE `@@DB_MAIN_PREFIX@@acls` (
  `bannerid` mediumint(9) NOT NULL default '0',
  `logical` set('and','or') NOT NULL default '',
  `type` varchar(16) NOT NULL default '',
  `comparison` char(2) NOT NULL default '==',
  `data` text NOT NULL,
  `executionorder` int(10) unsigned NOT NULL default '0',
  UNIQUE KEY `bannerid_executionorder` (`bannerid`,`executionorder`),
  KEY `bannerid` (`bannerid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@adclicks` (
  `bannerid` mediumint(9) NOT NULL default '0',
  `zoneid` mediumint(9) NOT NULL default '0',
  `t_stamp` timestamp NOT NULL,
  `host` varchar(255) NOT NULL default '',
  `source` varchar(50) NOT NULL default '',
  `country` char(2) NOT NULL default '',
  KEY `bannerid_date` (`bannerid`,`t_stamp`),
  KEY `date` (`t_stamp`),
  KEY `zoneid` (`zoneid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@adstats` (
  `views` int(11) NOT NULL default '0',
  `clicks` int(11) NOT NULL default '0',
  `day` date NOT NULL default '0000-00-00',
  `hour` tinyint(4) NOT NULL default '0',
  `bannerid` smallint(6) NOT NULL default '0',
  `zoneid` smallint(6) NOT NULL default '0',
  `source` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`day`,`hour`,`bannerid`,`zoneid`,`source`),
  KEY `bannerid_day` (`bannerid`,`day`),
  KEY `zoneid` (`zoneid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@adviews` (
  `bannerid` mediumint(9) NOT NULL default '0',
  `zoneid` mediumint(9) NOT NULL default '0',
  `t_stamp` timestamp NOT NULL,
  `host` varchar(255) NOT NULL default '',
  `source` varchar(50) NOT NULL default '',
  `country` char(2) NOT NULL default '',
  KEY `bannerid_date` (`bannerid`,`t_stamp`),
  KEY `date` (`t_stamp`),
  KEY `zoneid` (`zoneid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@affiliates` (
  `affiliateid` mediumint(9) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `contact` varchar(255) default NULL,
  `email` varchar(64) NOT NULL default '',
  `website` varchar(255) default NULL,
  `username` varchar(64) default NULL,
  `password` varchar(64) default NULL,
  `permissions` mediumint(9) default NULL,
  `language` varchar(64) default NULL,
  `publiczones` enum('t','f') NOT NULL default 'f',
  PRIMARY KEY  (`affiliateid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@banners` (
  `bannerid` mediumint(9) NOT NULL auto_increment,
  `clientid` mediumint(9) NOT NULL default '0',
  `active` enum('t','f') NOT NULL default 't',
  `priority` int(11) NOT NULL default '0',
  `contenttype` enum('gif','jpeg','png','html','swf','dcr','rpm','mov','txt') NOT NULL default 'gif',
  `pluginversion` mediumint(9) NOT NULL default '0',
  `storagetype` enum('sql','web','url','html','network','txt') NOT NULL default 'sql',
  `filename` varchar(255) NOT NULL default '',
  `imageurl` varchar(255) NOT NULL default '',
  `htmltemplate` blob NOT NULL,
  `htmlcache` blob NOT NULL,
  `width` smallint(6) NOT NULL default '0',
  `height` smallint(6) NOT NULL default '0',
  `weight` tinyint(4) NOT NULL default '1',
  `seq` tinyint(4) NOT NULL default '0',
  `target` varchar(24) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `alt` varchar(255) NOT NULL default '',
  `status` varchar(255) NOT NULL default '',
  `keyword` varchar(255) NOT NULL default '',
  `bannertext` blob NOT NULL,
  `description` varchar(255) NOT NULL default '',
  `autohtml` enum('t','f') NOT NULL default 't',
  `block` int(11) NOT NULL default '0',
  `capping` int(11) NOT NULL default '0',
  `compiledlimitation` blob NOT NULL,
  `append` blob NOT NULL,
  `appendtype` tinyint(4) NOT NULL default '0',
  `bannertype` tinyint(4) NOT NULL default '0',
  `transparent` enum('t','f') NOT NULL default 'f',
  PRIMARY KEY  (`bannerid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@cache` (
  `cacheid` varchar(255) NOT NULL default '',
  `content` blob NOT NULL,
  PRIMARY KEY  (`cacheid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@clients` (
  `clientid` mediumint(9) NOT NULL auto_increment,
  `clientname` varchar(255) NOT NULL default '',
  `contact` varchar(255) default NULL,
  `email` varchar(64) NOT NULL default '',
  `views` int(11) default NULL,
  `clicks` int(11) default NULL,
  `clientusername` varchar(64) NOT NULL default '',
  `clientpassword` varchar(64) NOT NULL default '',
  `expire` date default '0000-00-00',
  `activate` date default '0000-00-00',
  `permissions` mediumint(9) default NULL,
  `language` varchar(64) default NULL,
  `active` enum('t','f') NOT NULL default 't',
  `weight` tinyint(4) NOT NULL default '1',
  `target` int(11) NOT NULL default '0',
  `parent` mediumint(9) NOT NULL default '0',
  `report` enum('t','f') NOT NULL default 't',
  `reportinterval` mediumint(9) NOT NULL default '7',
  `reportlastdate` date NOT NULL default '0000-00-00',
  `reportdeactivate` enum('t','f') NOT NULL default 't',
  PRIMARY KEY  (`clientid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@config` (
  `configid` tinyint(2) NOT NULL default '0',
  `config_version` decimal(7,3) NOT NULL default '0.000',
  `table_border_color` varchar(7) NOT NULL default '#000099',
  `table_back_color` varchar(7) NOT NULL default '#CCCCCC',
  `table_back_color_alternative` varchar(7) NOT NULL default '#F7F7F7',
  `main_back_color` varchar(7) NOT NULL default '#FFFFFF',
  `my_header` varchar(255) NOT NULL default '',
  `my_footer` varchar(255) NOT NULL default '',
  `language` varchar(32) NOT NULL default 'english',
  `name` varchar(32) NOT NULL default '',
  `company_name` varchar(255) NOT NULL default 'mysite.com',
  `override_gd_imageformat` varchar(4) NOT NULL default '',
  `begin_of_week` tinyint(2) NOT NULL default '1',
  `percentage_decimals` tinyint(2) NOT NULL default '2',
  `type_sql_allow` enum('t','f') NOT NULL default 't',
  `type_url_allow` enum('t','f') NOT NULL default 't',
  `type_web_allow` enum('t','f') NOT NULL default 'f',
  `type_html_allow` enum('t','f') NOT NULL default 't',
  `type_txt_allow` enum('t','f') NOT NULL default 't',
  `type_web_mode` tinyint(2) NOT NULL default '0',
  `type_web_dir` varchar(255) NOT NULL default '',
  `type_web_ftp` varchar(255) NOT NULL default '',
  `type_web_url` varchar(255) NOT NULL default '',
  `admin` varchar(64) NOT NULL default 'phpadsuser',
  `admin_pw` varchar(64) NOT NULL default 'phpadspass',
  `admin_fullname` varchar(255) NOT NULL default 'Your Name',
  `admin_email` varchar(64) NOT NULL default 'your@email.com',
  `admin_email_headers` varchar(64) NOT NULL default '',
  `admin_novice` enum('t','f') NOT NULL default 't',
  `default_banner_weight` tinyint(4) NOT NULL default '1',
  `default_campaign_weight` tinyint(4) NOT NULL default '1',
  `client_welcome` enum('t','f') NOT NULL default 't',
  `client_welcome_msg` text NOT NULL,
  `content_gzip_compression` enum('t','f') NOT NULL default 'f',
  `userlog_email` enum('t','f') NOT NULL default 't',
  `userlog_priority` enum('t','f') NOT NULL default 't',
  `userlog_autoclean` enum('t','f') NOT NULL default 't',
  `gui_show_campaign_info` enum('t','f') NOT NULL default 't',
  `gui_show_campaign_preview` enum('t','f') NOT NULL default 'f',
  `gui_show_banner_info` enum('t','f') NOT NULL default 't',
  `gui_show_banner_preview` enum('t','f') NOT NULL default 't',
  `gui_show_banner_html` enum('t','f') NOT NULL default 'f',
  `gui_show_matching` enum('t','f') NOT NULL default 't',
  `gui_show_parents` enum('t','f') NOT NULL default 'f',
  `gui_hide_inactive` enum('t','f') NOT NULL default 'f',
  `gui_link_compact_limit` int(11) NOT NULL default '50',
  `qmail_patch` enum('t','f') NOT NULL default 'f',
  `updates_frequency` tinyint(2) NOT NULL default '7',
  `updates_timestamp` int(11) NOT NULL default '0',
  `updates_last_seen` decimal(7,3) NOT NULL default '0.000',
  `updates_dev_builds` enum('t','f') NOT NULL default 'f',
  `allow_invocation_plain` enum('t','f') NOT NULL default 'f',
  `allow_invocation_js` enum('t','f') NOT NULL default 't',
  `allow_invocation_frame` enum('t','f') NOT NULL default 'f',
  `allow_invocation_xmlrpc` enum('t','f') NOT NULL default 'f',
  `allow_invocation_local` enum('t','f') NOT NULL default 't',
  `allow_invocation_interstitial` enum('t','f') NOT NULL default 't',
  `allow_invocation_popup` enum('t','f') NOT NULL default 't',
  `auto_clean_tables` enum('t','f') NOT NULL default 'f',
  `auto_clean_tables_interval` tinyint(2) NOT NULL default '5',
  `auto_clean_userlog` enum('t','f') NOT NULL default 'f',
  `auto_clean_userlog_interval` tinyint(2) NOT NULL default '5',
  `auto_clean_tables_vacuum` enum('t','f') NOT NULL default 't',
  `autotarget_factor` float NOT NULL default '-1',
  `maintenance_timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`configid`)
) TYPE=MyISAM;
INSERT INTO `@@DB_MAIN_PREFIX@@config` VALUES (0,'200.282','#000099','#CCCCCC','#F7F7F7','#FFFFFF','','','@@LOCALE@@','','companyname','',1,2,'t','t','f','t','t',0,'','','','@@ADMIN_NAME@@','@@ADMIN_PASSWORD@@','@@ADMIN_NAME@@','@@ADMIN_EMAIL@@','','t',1,1,'t','','f','t','t','t','t','f','t','t','f','t','f','f',50,'f',7,0,'0.000','f','f','t','f','f','t','t','t','f',5,'f',5,'t',-1,0);
CREATE TABLE `@@DB_MAIN_PREFIX@@images` (
  `filename` varchar(128) NOT NULL default '',
  `contents` mediumblob NOT NULL,
  `t_stamp` timestamp NOT NULL,
  PRIMARY KEY  (`filename`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@session` (
  `sessionid` varchar(32) NOT NULL default '',
  `sessiondata` blob NOT NULL,
  `lastused` timestamp NOT NULL,
  PRIMARY KEY  (`sessionid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@targetstats` (
  `day` date NOT NULL default '0000-00-00',
  `clientid` smallint(6) NOT NULL default '0',
  `target` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0',
  `modified` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`day`,`clientid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@userlog` (
  `userlogid` mediumint(9) NOT NULL auto_increment,
  `timestamp` int(11) NOT NULL default '0',
  `usertype` tinyint(4) NOT NULL default '0',
  `userid` mediumint(9) NOT NULL default '0',
  `action` mediumint(9) NOT NULL default '0',
  `object` mediumint(9) default NULL,
  `details` blob,
  PRIMARY KEY  (`userlogid`)
) TYPE=MyISAM;
CREATE TABLE `@@DB_MAIN_PREFIX@@zones` (
  `zoneid` mediumint(9) NOT NULL auto_increment,
  `affiliateid` mediumint(9) default NULL,
  `zonename` varchar(245) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `delivery` smallint(6) NOT NULL default '0',
  `zonetype` smallint(6) NOT NULL default '0',
  `what` blob NOT NULL,
  `width` smallint(6) NOT NULL default '0',
  `height` smallint(6) NOT NULL default '0',
  `chain` blob NOT NULL,
  `prepend` blob NOT NULL,
  `append` blob NOT NULL,
  `appendtype` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`zoneid`),
  KEY `zonenameid` (`zonename`,`zoneid`)
) TYPE=MyISAM;
